You are here: Known Vulnerabilities in Mozilla Products (Firefox 1.5.0.1) > MFSA 2006-05

Mozilla Foundation Security Advisory 2006-05

Title: Localstore.rdf XML injection through XULDocument.persist()
Severity: Critical
Date: February 1, 2006
Reporter: moz_bug_r_a4
Products: Firefox, Thunderbird, Mozilla Suite

Fixed in: Firefox 1.5.0.1
  SeaMonkey 1.0
  Thunderbird 1.5.0.2
  Firefox 1.0.8
  Thunderbird 1.0.8
  Mozilla Suite 1.7.13

Description

XULDocument.persist() did not validate the attribute name, allowing an attacker to inject XML into localstore.rdf that would be read and acted upon at startup. This could include JavaScript commands that would be run with the permissions of the browser.

Thunderbird could be vulnerable if JavaScript is enabled. This is not the default setting and we strongly discourage users from turning on JavaScript in mail. Thunderbird is not vulnerable in its default configuration.

Update (13 April 2006)
This flaw has been fixed in Thunderbird 1.5.0.2

Updated versions of Firefox 1.0, Thunderbird 1.0, and the Mozilla Suite 1.7 have been released containing this fix.

Workaround

Upgrade to the fixed versions. Do not enable JavaScript in Thunderbird or SeaMonkey mail.

References